# Note that this is NOT a relocatable package
%define ver      0.26
%define rel      3
%define prefix   /usr

Summary: GNOME Ghostscript Viewer
Name: ggv
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/ggv-0.26.tar.gz
BuildRoot: /tmp/ggv-root
Packager: Michael Fulbright <msf@redhat.com>
URL: http://www.gnome.org
Docdir: %{prefix}/doc

%description
GNOME Ghostscript viewer - a GUI frontend to the Ghostscript postscript
interpretter. Use this program to preview postscript documents on your
screen.

%changelog

* Thu Aug 20 1998 Michael Fulbright <msf@redhat.com>
- Rebuilt against gnome-libs 0.30

* Thu Aug 20 1998 Michael Fulbright <msf@redhat.com>
- Added a %clean section

* Thu Aug 20 1998 Michael Fulbright <msf@redhat.com>
- First spec file

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT


make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/ggv
%{prefix}/share/locale
%{prefix}/share/apps/Graphics/ggv.desktop
